import express from 'express';
import { authenticate } from '../middleware/authMiddleware.js';
import { getMemberActivities, getMemberLastParticipations } from '../controllers/memberActivityController.js';

const router = express.Router();

router.use(authenticate);

router.get('/:clubId/:memberId/last-participations', getMemberLastParticipations);
router.get('/:clubId/:memberId', getMemberActivities);

export default router;

